using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Threading;
using System.Threading.Tasks;

namespace Hncore.Pass.Vpn.Service
{
    public class AgentClientLogHandler : DelegatingHandler
    {
        protected override Task<HttpResponseMessage> SendAsync(HttpRequestMessage request, CancellationToken cancellationToken)
        {
            if (request.Headers.Contains("hl"))
            {
                Console.WriteLine(request.RequestUri.ToString());
            }
            return base.SendAsync(request, cancellationToken);
        }
    }
}
